<?php
/*
List the divisions, teams, and scores in a conference
*/

    $confid = intval($_GET['conf']);
    $confname = getconf($confid);
    $seasonname = getseasonname($confid);
    
    print '<p><a href="' . $_SERVER['PHP_SELF'] . '">Home</a> &raquo; ' . $confname . ' conference</p>' . "\n";
    
    // Let them manage divisions
    if ($is_admin || full_check('manage_div') || permissions_check('manage_div',$confid) ) {
        print '<p><a href="' . $_SERVER['PHP_SELF'] . "?action=divisions&conf=$confid\">Manage divisions</a></p>\n";
    }
    print '<h2>Teams in ' . $confname . ' (' . $seasonname . ')</h2>' . "\n";
	
    $query="SELECT COUNT(*) FROM sportsdb_divs WHERE conference = $confid";
    $result = mysql_query($query);
    $num = mysql_result($result,0);
	
    // Let the user add a team only if there are already divisions
    if ($num > 0) {
    
        if (!$is_admin) {
            $is_manage_team = full_check('manage_team');
            $is_manage_team_conf = permissions_check('manage_team',$confid);
        }
        
		if ($is_admin || $is_manage_team || $is_manage_team_conf ) {
            print '<p><a href="' . $_SERVER['PHP_SELF'] . "?action=add&conf=$confid\">Add a new team in this conference</a></p>\n";
        }
    }
    else {
        print '<p>You can only add a team after adding a <a href="' . $_SERVER['PHP_SELF'] . "?action=divisions&conf=$confid\">division has been added</a>.</p>\n";
    }
    print "<table>\n";
	
    // Get the teams from the database
    $query="SELECT sportsdb_teams.teamid, sportsdb_teams.teamname, sportsdb_teams.active, sportsdb_divs.divname, sportsdb_divs.divid FROM sportsdb_teams, sportsdb_divs WHERE sportsdb_teams.teamdiv = sportsdb_divs.divid AND sportsdb_divs.conference = $confid ORDER BY divorder ASC, teamname ASC";
    $result = mysql_query($query);

    $num=mysql_num_rows($result);
	
    while ($teams = mysql_fetch_array($result, MYSQL_ASSOC)) {
        print "<tr><td><strong>{$teams['teamname']}</strong> <small>({$teams['divname']})</small>";
        print '</td><td>';
        if ($is_admin || $is_manage_team || $is_manage_team_conf || permissions_check('manage_team',NULL,$teams['divid'],$teams['teamid']) ) {
            print '<form action="' . $_SERVER['PHP_SELF'] . "?action=edit&teamid={$teams['teamid']}&conf={$confid}&div={$teams['divid']}\" method=\"post\">\n";
            print '<input type="submit" value="Edit" /></form>';
        }
        print "</td>\n<td>";
        if ($teams['active'] == 0) {
            print "<span class='red'>Inactive</span>";
        }
        print "</td></tr>\n";
    }
    echo "</table>\n";
?>
<?php
if ($num > 0) {
    print '<h2>Past scores in ' . $confname . ' (' . $seasonname . ')</h2>' . "\n";
    
    if (!$is_admin) {
        $is_manage_score = full_check('manage_score');
        $is_manage_score_conf = permissions_check('manage_score', $confid);
    }
    
    if ($is_admin || $is_manage_score || $is_manage_score_conf) {
        print '<p><a href="' . $_SERVER['PHP_SELF'] . "?action=addscore&conf=$confid\">Add a new score or game</a></p>\n";
    }
    
    print "<table width=\"750\">\n";
    print "<tr><th>Date</th><th>Time</th><th>Home</th><th>Away</th>";
    if ($show_fields) print "<th>Field</th>";
    print "<th>Score</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th></tr>\n";

    $queryscores="SELECT sportsdb_wins.winid, sportsdb_wins.windate, sportsdb_wins.wintime, sportsdb_wins.rf, sportsdb_wins.ra, 
    sportsdb_wins.winner, sportsdb_wins.loser, 
    sportsdb_wins.wincomments, sportsdb_wins.field, sportsdb_wins.winortie, 
    sportsdb_teams2.teamname AS winningteam, sportsdb_teams.teamname AS losingteam
    FROM sportsdb_wins, sportsdb_teams AS sportsdb_teams2, sportsdb_teams 
    WHERE sportsdb_wins.winconf = $confid AND sportsdb_teams2.teamid = sportsdb_wins.winner AND sportsdb_teams.teamid = sportsdb_wins.loser AND sportsdb_wins.winortie != 3
    ORDER BY wintime ASC";

    $resultscores=mysql_query($queryscores);
    $numscores=mysql_num_rows($resultscores);
    
    // Set up the array to check team permissions now
    $is_manage_score_teams = array();
    
    while ($scores = mysql_fetch_array($resultscores, MYSQL_ASSOC)) {

    	$windateheader=$scores['windate'];
    	$windateformatted=date("F d, Y",$windateheader);
    	$wintime=$scores['wintime'];
    	$hour=date('g',$wintime);
    	$minute=date('i',$wintime);
    	$ampm=date('a',$wintime);

        print "<tr><td>$windateformatted</td><td>" . $hour . ":" . $minute . $ampm . "</td><td>{$scores['winningteam']}</td><td>{$scores['losingteam']}</td>";
        if ($show_fields) print "<td>{$scores['field']}</td>";
        print "<td>{$scores['rf']} - {$scores['ra']}";
        if ($scores['winortie'] == 2 || $scores['winortie'] == 5) print " (ff)";
        print '</td><td>' . $scores['wincomments'] . '</td>';
        print '<td>';
        // Perform some team permission checks now to save checking the same permissions over and over again
        if (!isset($is_manage_score_teams[$scores['winner']]) && !$is_admin) {
            $is_manage_score_teams[$scores['winner']] = permissions_check('manage_score', NULL, NULL, $scores['winner']);
        }
        if (!isset($is_manage_score_teams[$scores['loser']]) && !$is_admin) {
            $is_manage_score_teams[$scores['loser']] = permissions_check('manage_score', NULL, NULL, $scores['loser']);
        }
        if ($is_admin || $is_manage_score || $is_manage_score_conf || $is_manage_score_teams[$scores['winner']] || $is_manage_score_teams[$scores['loser']] ) {
            print '<form action="' . $_SERVER['PHP_SELF'] . "?action=editscore\" method=\"post\">\n";
            print "<input type=\"hidden\" name=\"winid\" value=\"{$scores['winid']}\" /><input type=\"submit\" value=\"Edit\" /></form>";
        }
        print "</td>\n";
        print '<td>';
        if ($is_admin || $is_manage_score || $is_manage_score_conf ) {
            print '<form action="' . $_SERVER['PHP_SELF'] . "?action=deletescore&conf=$confid\" method=\"post\">\n";
            print "<input type=\"hidden\" name=\"winid\" value=\"{$scores['winid']}\" /><input type=\"submit\" value=\"Delete\" /></form>";
        }
        print '</td>';
        print "</tr>\n";

    }

    echo "</table>\n";

    print '<h2>Upcoming games in ' . $confname . ' (' . $seasonname . ')</h2>' . "\n";
    print "<table width=\"700\">\n";
    print "<tr><th>Date</th><th>Time</th><th>Home</th><th>Away</th>";
    if ($show_fields) print "<th>Field</th>";
    print "<th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th></tr>\n";
    $queryscores="SELECT sportsdb_wins.winid, sportsdb_wins.windate, sportsdb_wins.wintime, sportsdb_wins.winner, sportsdb_wins.loser, 
    sportsdb_wins.wincomments, sportsdb_wins.field, sportsdb_teams2.teamname AS winningteam, sportsdb_teams.teamname AS losingteam
    FROM sportsdb_wins, sportsdb_teams AS sportsdb_teams2, sportsdb_teams
    WHERE sportsdb_wins.winconf = $confid AND sportsdb_teams2.teamid = sportsdb_wins.winner AND sportsdb_teams.teamid = sportsdb_wins.loser AND sportsdb_wins.winortie = 3
    ORDER BY wintime ASC";
    $resultscores=mysql_query($queryscores);
    $numscores=mysql_num_rows($resultscores);

    while ($scores = mysql_fetch_array($resultscores, MYSQL_ASSOC)) {

        $windateheader=$scores['windate'];
        $windateformatted=date("F d, Y",$windateheader);
        $wintime=$scores['wintime'];
        $hour=date('g',$wintime);
        $minute=date('i',$wintime);
        $ampm=date('a',$wintime);

        print "<tr><td>$windateformatted</td><td>" . $hour . ":" . $minute . $ampm . "</td><td>{$scores['winningteam']}</td><td>{$scores['losingteam']}</td>";
        if ($show_fields) print "<td>{$scores['field']}</td>";
        print '<td>' . $scores['wincomments'] . '</td>';
        print '<td>';
        // Perform some team permission checks now to save checking the same permissions over and over again
        if (!isset($is_manage_score_teams[$scores['winner']]) && !$is_admin) {
            $is_manage_score_teams[$scores['winner']] = permissions_check('manage_score', NULL, NULL, $scores['winner']);
        }
        if (!isset($is_manage_score_teams[$scores['loser']]) && !$is_admin) {
            $is_manage_score_teams[$scores['loser']] = permissions_check('manage_score', NULL, NULL, $scores['loser']);
        }
        if ($is_admin || $is_manage_score || $is_manage_score_conf || $is_manage_score_teams[$scores['winner']] || $is_manage_score_teams[$scores['loser']] ) {
            print '<form action="' . $_SERVER['PHP_SELF'] . "?action=editscore\" method=\"post\">\n";
            print "<input type=\"hidden\" name=\"winid\" value=\"{$scores['winid']}\" /><input type=\"submit\" value=\"Edit\" /></form>";
        }
        print "</td>\n";
        print '<td>';
        if ($is_admin || $is_manage_score || $is_manage_score_conf) {
            print '<form action="' . $_SERVER['PHP_SELF'] . "?action=deletescore&conf=$confid\" method=\"post\">\n";
            print "<input type=\"hidden\" name=\"winid\" value=\"{$scores['winid']}\" /><input type=\"submit\" value=\"Delete\" /></form>";
        }
        print '</td>';
        print "</tr>\n";

        ++$scores;
    }
    print "</table>\n";
}
?>